org.apache.hc.client5.http.impl

## Class ConnPoolSupport

- java.lang.Object
- - org.apache.hc.client5.http.impl.ConnPoolSupport

    @Internal
    public final class ConnPoolSupport
    extends Object

Connection pooling support methods.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`ConnPoolSupport()`

### Method Summary

Methods
`static String` `formatStats(Object object, HttpRoute route, Object state, org.apache.hc.core5.pool.ConnPoolControl<HttpRoute> connPool)`
`static String` `getId(Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnPoolSupport

    public ConnPoolSupport()

### Method Detail

#### getId

    public static String getId(Object object)

#### formatStats

    public static String formatStats(Object object,
                     HttpRoute route,
                     Object state,
                     org.apache.hc.core5.pool.ConnPoolControl<HttpRoute> connPool)